All Libraries | This Library | Package | Class | Use | Tree | Deprecated | Index | Grand Index | Help
|  | Components |
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.sas.swing.visuals.olaptableview
Class BasicOLAPRowHeaderUI

    com.sas.swing.visuals.olaptableview.BasicOLAPRowHeaderUI

    public class BasicOLAPRowHeaderUI

Field Summary
`protected OLAPRowHeader` | `header`
`protected boolean` | `resizingColumnHeader`
`protected boolean` | `resizingLevel` The JTableHeader that is delegating the painting to this UI.
`protected int` | `resizingLevelIndex`
`protected boolean` | `resizingRow`

Fields inherited from class com.sas.swing.visuals.tableview.BasicRowHeaderUI
`mouseInputListener, rendererPane, resizingHeader`

Constructor Summary
`BasicOLAPRowHeaderUI()`

Method Summary
`protected javax.swing.event.MouseInputListener` | `createMouseInputListener()` Creates the mouse listener for the JTable.
`static javax.swing.plaf.ComponentUI` | `createUI(javax.swing.JComponent h)`
`protected int` | `getHeaderWidth()`
`java.awt.Dimension` | `getPreferredSize(javax.swing.JComponent c)` Return the preferred size of the header.
`int` | `getResizingLevelIndex()`
`void` | `installUI(javax.swing.JComponent c)`
`boolean` | `isResizingColumnHeader()`
`boolean` | `isResizingRow()`
`protected int` | `modelIndexForRow(int row)`
`void` | `paint(java.awt.Graphics g, javax.swing.JComponent c)`
`void` | `setResizingColumnHeader(boolean newValue)`
`void` | `setResizingLevelIndex(int newValue)`
`void` | `setResizingRow(boolean newValue)`
`protected int` | `viewIndexForRow(int row)`

Methods inherited from class com.sas.swing.visuals.tableview.BasicRowHeaderUI
`createHeaderSize, getHeader, getHeaderRenderer, getMaximumSize, getMinimumSize, installDefaults, installKeyboardActions, installListeners, isResizingHeader, paintCell, paintCells, setResizingHeader, uninstallDefaults, uninstallKeyboardActions, uninstallListeners, uninstallUI`

Field Detail

### header

    protected OLAPRowHeader header

### resizingLevel

    protected boolean resizingLevel

  The JTableHeader that is delegating the painting to this UI.

### resizingLevelIndex

    protected int resizingLevelIndex

### resizingRow

    protected boolean resizingRow

### resizingColumnHeader

    protected boolean resizingColumnHeader

Constructor Detail

### BasicOLAPRowHeaderUI

    public BasicOLAPRowHeaderUI()

Method Detail

### viewIndexForRow

    protected int viewIndexForRow(int row)

  Overrides:
    `viewIndexForRow` in class `BasicRowHeaderUI`

### modelIndexForRow

    protected int modelIndexForRow(int row)

  Overrides:
    `modelIndexForRow` in class `BasicRowHeaderUI`

### setResizingLevelIndex

    public void setResizingLevelIndex(int newValue)

### getResizingLevelIndex

    public int getResizingLevelIndex()

### setResizingRow

    public void setResizingRow(boolean newValue)

  Overrides:
    `setResizingRow` in class `BasicRowHeaderUI`

### setResizingColumnHeader

    public void setResizingColumnHeader(boolean newValue)

### isResizingRow

    public boolean isResizingRow()

  Overrides:
    `isResizingRow` in class `BasicRowHeaderUI`

### isResizingColumnHeader

    public boolean isResizingColumnHeader()

### createUI

    public static javax.swing.plaf.ComponentUI createUI(javax.swing.JComponent h)

### installUI

    public void installUI(javax.swing.JComponent c)

  Overrides:
    `installUI` in class `BasicRowHeaderUI`

### createMouseInputListener

    protected javax.swing.event.MouseInputListener createMouseInputListener()

  Creates the mouse listener for the JTable.

  Overrides:
    `createMouseInputListener` in class `BasicRowHeaderUI`

### paint

    public void paint(java.awt.Graphics g,
                      javax.swing.JComponent c)

  Overrides:
    `paint` in class `BasicRowHeaderUI`

### getHeaderWidth

    protected int getHeaderWidth()

  Overrides:
    `getHeaderWidth` in class `BasicRowHeaderUI`

### getPreferredSize

    public java.awt.Dimension getPreferredSize(javax.swing.JComponent c)

  Description copied from class: `BasicRowHeaderUI`
  Return the preferred size of the header. The preferred height is the maximum of the preferred heights of all of the components provided by the header renderers. The preferred height is the sum of the preferred heights of each row (plus inter-cell spacing).

  Overrides:
    `getPreferredSize` in class `BasicRowHeaderUI`

All Libraries | This Library | Package | Class | Use | Tree | Deprecated | Index | Grand Index | Help
|  | Components |
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2009 SAS Institute Inc. All Rights Reserved.